package com.gh.common.provider

import android.content.Context
import android.os.Bundle
import com.alibaba.android.arouter.facade.annotation.Route
import com.gh.common.util.EntranceUtils
import com.gh.gamecenter.common.constant.RouteConsts
import com.gh.gamecenter.core.provider.IEntranceUtilsProvider

@Route(path = RouteConsts.provider.entranceUtils, name = "EntranceUtils暴露服务")
class EntranceUtilsProviderImpl : IEntranceUtilsProvider {
    override fun jumpActivity(context: Context, bundle: Bundle) {
        EntranceUtils.jumpActivity(context, bundle)
    }

    override fun saveShortcut(activityName: String, bundle: Bundle?) {
        EntranceUtils.saveShortcut(activityName, bundle)
    }

    override fun init(context: Context?) {
        // Do nothing
    }
}